## com.saxonica.codegen
Class FixedElementCompiler

    java.lang.Object
      com.saxonica.codegen.ExpressionCompiler
          com.saxonica.codegen.PushExpressionCompiler
              com.saxonica.codegen.FixedElementCompiler

    public class FixedElementCompiler

extends PushExpressionCompiler

Compile a FixedElement expression to Java source code

Constructor Summary
`FixedElementCompiler()`

Method Summary
`void` `compilePush(CompilerService compiler, Expression expr)` Generate Java code to execute the expression in push mode, that is, code to write events to the current output Receiver
`String` `getStaticBaseURI(Expression exp)` Get the base URI of the instruction being compiled.

Methods inherited from class com.saxonica.codegen.PushExpressionCompiler
`compileToCharSequence, compileToEffectiveBooleanValue, compileToItem, compileToIterator, prepareToPush`

Methods inherited from class com.saxonica.codegen.ExpressionCompiler
`compileAsLoop, compileToValueRepresentation, getConfiguration, makeExpressionCompiler, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedElementCompiler

    public FixedElementCompiler()

Method Detail

### compilePush

    public void compilePush(CompilerService compiler,
                            Expression expr)

  Description copied from class: `ExpressionCompiler`
  Generate Java code to execute the expression in push mode, that is, code to write events to the current output Receiver

  Specified by:
    `compilePush` in class `ExpressionCompiler`
  Parameters:
    `compiler` - the compiler service
    `expr` - the expression to be compiled

### getStaticBaseURI

    public String getStaticBaseURI(Expression exp)

  Get the base URI of the instruction being compiled. The default implementation returns null, indicating that the base URI is not needed for this kind of instruction

  Overrides:
    `getStaticBaseURI` in class `PushExpressionCompiler`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.